#
#
#
require_relative 'JSONHelpers'

module PLM
  #
  #
  #
  module Model
    #
    #
    #
    #
    class Classifications
      #
      # Class methods
      #
      class << self
        def to_json
          new.to_json
        end
      end
      #
      #
      #
      include  PLM::Model::JSONHelpers
      #
      #
      #
      def initialize
        __DIR__      = File.dirname(__FILE__)
        @raw_path    = "#{__DIR__}/data/ams.json"
        @raw_data    = File.read(@raw_path)
        @schema_path = "#{__DIR__}/data/msc2010-schema.json"
        @schema_data = File.read(@schema_path)
        @classifications = JSON.parse(@raw_data)
      end
      def to_json
        if validate_raw_data(@schema_data,@raw_data)
          @raw_data
        else
          "{}"
        end
      end
    end
  end
end
