require 'json-schema'

module PLM
  #
  #
  #
  module Model
    module JSONHelpers
      module_function
      def validated_raw_data?(result)
        validated = false
        if result == []
          validated = true
        else
          debug = {}
        end
        validated
      end
      def validate_raw_data(schema,data)
        begin
          JSON::Validator.fully_validate schema,
            data,
            strict: false,
            errors_as_object: true,
            version: :draft4,
            validate_schema: true
        rescue JSON::Schema::ValidationError
          ap $!.message
          return false
        end
        return true
      end
    end
  end
end

