require 'multi_json'

module PLM
  module Model
    module Config
      module_function
      def setup(file)
        instance_eval do
          const_set :CONFIG, MultiJson.load(IO.read(file), symbolize_keys: true)
          const_set :DIRECTORY, CONFIG[:directory]
          const_set :SESSION, CONFIG[:session]
        end
      end
    end
  end
end
